Bug 668002 - Conversion to/from flex guests during activation does not work correctly
Conversion to/from flex guests during activation does not work correctly
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
540
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Martin Minar
:
Depends On: 667232
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2011-01-07 11:14 EST by Milan Zazrivec
Modified: 2016-07-03 20:55 EDT (History)
6 users (show)

See Also:
Fixed In Version: satellite-schema-5.4.0.9-1.el5sat
Doc Type: Bug Fix
Doc Text:
Cause: Satellite certificate activation logic involving conversion of regular entitlements to flex entitlements did not restrict the conversion to a channel family and was converting all system's subscriptions. Consequence: Satellite certificate activation would fail when converting regular system entitlements to flex entitlements for both the base and the child channels of the converted system. Fix: Satellite certificate activation logic was fixed to properly convert regular to flex entitlements in the critical cases. Result: Activation of a new Satellite certificate will correctly convert regular entitlements to flex entitlements for base and child channels of a system.
Story Points: ---
Clone Of: 667232
Environment:
Last Closed: 2011-01-17 16:35:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 4 Florian Nadge 2011-01-14 05:53:18 EST
Please be so kind and add a few key words to the Technical Notes of this
Bugzilla entry using the following structure:

 Cause

Consequence:

Fix:

Result:

For details, see:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks
Comment 5 Florian Nadge 2011-01-14 05:53:18 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause

Consequence:

Fix:

Result:
Comment 6 Milan Zazrivec 2011-01-14 08:25:55 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1,8 @@
-Cause
+Cause: Satellite certificate activation logic involving conversion of regular entitlements to flex entitlements did not restrict the conversion to a channel family and was
+converting all system's subscriptions.
 
-Consequence:
+Consequence: Satellite certificate activation would fail when converting regular system entitlements to flex entitlements for both the base and the child channels of the converted system.
 
-Fix:
+Fix: Satellite certificate activation logic was fixed to properly convert regular to flex entitlements in the critical cases.
 
-Result:+Result: Activation of a new Satellite certificate will correctly convert regular entitlements to flex entitlements for base and child channels of a system.
Comment 8 errata-xmlrpc 2011-01-17 16:35:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0156.html

Note You need to log in before you can comment on or make changes to this bug.